<?php
    if (!defined('MOODLE_INTERNAL')) {
        die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
    }

    require_once($CFG->dirroot.'/course/moodleform_mod.php');
    require_once($CFG->dirroot.'/mod/gradeimporter/lib.php');

    class mod_gradeimporter_mod_form extends moodleform_mod {

        function definition() {
            global $CFG, $COURSE, $USER, $DB, $OUTPUT;

            $mform =& $this->_form;
            $course_modules_id = optional_param('update', 0, PARAM_INT);

            $mform->addElement('header', 'general', get_string('general', 'gradeimporter'));

            $mform->addElement('text', 'name', get_string('name', 'gradeimporter'), array('size'=>'64'));
            $mform->setType('name', PARAM_TEXT);
            $mform->addRule('name', get_string('error_nameField', 'gradeimporter'), 'required', null, 'client');
            
            
            $this->standard_intro_elements(get_string('description', 'gradeimporter'));

            //$ynoptions = array(0 => get_string('visibilityOn', 'gradeimporter'), 1 => get_string('visibilityOff', 'gradeimporter'));
            //$mform->addElement('')


            $features = array('groups' => false, 'groupings' => false, 'groupmembersonly' => false,  'outcomes' => false,'gradecat' => false, 'idnumber' => false);
            $this->standard_coursemodule_elements($features);
            
            //hidden fields
            $mform->addElement('hidden', 'action');
            $mform->setType('action', PARAM_TEXT);
            $mform->addElement('hidden', 'id');
            $mform->setType('id', PARAM_TEXT);
            $mform->addElement('hidden', 'iassign_id');
            $mform->setType('iassign_id', PARAM_TEXT);
            $mform->addElement('hidden', 'author_name');
            $mform->setType('author_name', PARAM_TEXT);
            $mform->addElement('hidden', 'author_modified_name');
            $mform->setType('author_modified_name', PARAM_TEXT);
            $mform->addElement('hidden', 'timecreated');
            $mform->setType('timecreated', PARAM_TEXT);
            $mform->addElement('hidden', 'position');
            $mform->setType('position', PARAM_TEXT);

            $this->add_action_buttons();
            }

    }
